Mudanças entre as edições de "MediaWiki:Common.css"

De Wiki PrimeRO
Ir para navegação Ir para pesquisar
Linha 157: Linha 157:
     font-size: 14px;
     font-size: 14px;
     font-family: Arial, Helvetica, sans-serif;
     font-family: Arial, Helvetica, sans-serif;
}
/* CSS Sliding Image Gallery for Mediawiki
*
* @author: Unknown
* current version crafted together by [[User:Christharp]] from several CSS sites.
*/
#slidingphotocontainer {
    width: 1000px;
    overflow: hidden;
    margin: 10px auto;
    background: white;
}
.photobanner {
    height: 233px;
    width: 3550px;
    margin-bottom: 10px;
}
.photobanner img {;
    height: 233px;
    width: 350px;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
.photobanner img:hover {
    -webkit-transform: scale(1.4);
    -moz-transform: scale(1.4);
    -o-transform: scale(1.4);
    -ms-transform: scale(1.4);
    transform: scale(1.4);
    cursor: pointer;
    -webkit-box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
}
/*keyframe animations*/
.first {
    -webkit-animation: bannermove 30s linear infinite;
      -moz-animation: bannermove 30s linear infinite;
        -ms-animation: bannermove 30s linear infinite;
        -o-animation: bannermove 30s linear infinite;
            animation: bannermove 30s linear infinite;
}
@keyframes "bannermove" {
0% {
    margin-left: 0px;
}
100% {
    margin-left: -2125px;
}
}
@-moz-keyframes bannermove {
0% {
  margin-left: 0px;
}
100% {
  margin-left: -2125px;
}
}
@-webkit-keyframes "bannermove" {
0% {
  margin-left: 0px;
}
100% {
  margin-left: -2125px;
}
}
@-ms-keyframes "bannermove" {
0% {
  margin-left: 0px;
}
100% {
  margin-left: -2125px;
}
}
@-o-keyframes "bannermove" {
0% {
  margin-left: 0px;
}
100% {
  margin-left: -2125px;
}
}
}

Edição das 22h30min de 2 de maio de 2022

/* Allow limiting of which header levels are shown in a TOC;
   <div class="toclimit-3">, for instance, will limit to
   showing ==headings== and ===headings=== but no further
   (as long as there are no =headings= on the page, which
   there shouldn't be according to the MoS).
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}


.naviText {
    display: inline-block;
    color: #b8860b;
    cursor: pointer;
    padding: 1px;
}

.naviCopied {
    display: none;
    color: #b8860b;
    border: 1px dotted #e0ac28;
    padding: 0 20px;
    border-radius: 5px;
}

@import url("https://fonts.googleapis.com/css?family=Redressed");

#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: white;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
}

#myBtn:hover {
  background-color: #555;
}

.toc-btf {
	float: right;
	position: fixed;
	top: 20px;
	right: 0;
	background-color: #d8d8d8;
	border: 1px solid #381f7b;
	color: white;
	line-height: 0.8;
	font-size: 100%;
	max-height: 100%;
	overflow:auto;
}

table.wikitable > tr > th, table.wikitable > tr > td, table.wikitable > * > tr > th, table.wikitable > * > tr > td {
   border: 1px solid #3671a7 !important;
}

table.wikitable  td {
   padding: 0.2em 0.4em !important;
   border-bottom: 1px solid #381f7b !important;
}

table.wikitable  td {
    border-top: none !important;
    border-left: none !important;
    border-right: none !important;
    padding: 0.2em 0.4em !important;

}

table.wikitable {
    border: none !important;
    background-color: #ffffff;
    border-spacing: 0px 2px;
    border-collapse: inherit;
}
th {
    background-color: #381f7b!important; 
	color: white;
    text-shadow:
    -1px -1px 0 #000,
    1px -1px 0 #000,
    -1px 1px 0 #000,
    1px 1px 0 #000;  
}
span.mw-collapsible-toggle > a {
    color: white;
}
table td span.plainlinks {
    font-weight: bold;
}
#container-top {
background-color: white;
}

#container-top #container-top-l2 {
    background: none;
}

#container-top #container-top-l1 {
background-position: 100px 70px;
    background-size: auto 280px;
}
.generated-sidebar{
font-family:Redressed;
}

#mainlogo-text h1{
font-family:Redressed;
}

#header #site-navigation .active .pBody, #header #p-personal .active .dropdown, #header #site-navigation .portlet:hover .pBody, #header #p-personal:hover .dropdown {
    background: url(helheim/skins/Splash/resources/images/corner-splash.png?22533) -100px 0px no-repeat rgba(255,255,255,1);
    background-color: #fff\9;
    box-shadow: 0px 3px 7px rgba(0,0,0,0.4);
    border: solid 1px #ccc\9;
    padding: 1.5em 1.5em 1em 1.25em;
    position: absolute;
    top: 2em;
    left: 0;
    text-align: left;
    width: 125px;
    z-index: 10;
    display: block;
}

#mainlogo-text{
cursor:pointer;
}

.LogoImgWrapper img {
    width: 450px !important;
    height: 300px !important;
}

.realmSelector select{
    background-color: #CBCECD;
    text-align: center;
    width: 17em;
    height: 24.7813px;
}
.wikiEditor-ui-text textarea{
    font-size: 14px;
    font-family: Arial, Helvetica, sans-serif;
}

/* CSS Sliding Image Gallery for Mediawiki
 * 
 * @author: Unknown
 * current version crafted together by [[User:Christharp]] from several CSS sites.
 */

#slidingphotocontainer {
    width: 1000px;
    overflow: hidden;
    margin: 10px auto;
    background: white;
}
 
.photobanner {
    height: 233px;
    width: 3550px;
    margin-bottom: 10px;
}
 
.photobanner img {;
     height: 233px;
    width: 350px;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
 
.photobanner img:hover {
    -webkit-transform: scale(1.4);
    -moz-transform: scale(1.4);
    -o-transform: scale(1.4);
    -ms-transform: scale(1.4);
    transform: scale(1.4);
    cursor: pointer;
 
    -webkit-box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
    -moz-box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 5px rgba(0,0,0,0.2);
}
/*keyframe animations*/
.first {
    -webkit-animation: bannermove 30s linear infinite;
       -moz-animation: bannermove 30s linear infinite;
        -ms-animation: bannermove 30s linear infinite;
         -o-animation: bannermove 30s linear infinite;
            animation: bannermove 30s linear infinite;
}
 
@keyframes "bannermove" {
 0% {
    margin-left: 0px;
 }
 100% {
    margin-left: -2125px;
 }
 
}
 
@-moz-keyframes bannermove {
 0% {
   margin-left: 0px;
 }
 100% {
   margin-left: -2125px;
 }
 
}
 
@-webkit-keyframes "bannermove" {
 0% {
   margin-left: 0px;
 }
 100% {
   margin-left: -2125px;
 }
 
}
 
@-ms-keyframes "bannermove" {
 0% {
   margin-left: 0px;
 }
 100% {
   margin-left: -2125px;
 }
 
}
 
@-o-keyframes "bannermove" {
 0% {
   margin-left: 0px;
 }
 100% {
   margin-left: -2125px;
 }
 
}